Webtrees Views Integration
==========================

This module provides limited integration of the Webtrees genealogy website
with Drupal Views. This works with Webtrees 2.1 or later. 

This module also assumes that the Drupal database is also the Webtrees 
database. This is actually not difficult to do since Webtrees normally
prefixes all its tables with "wt_". This prevents conflicts with Drupal
tables. 


Purpose
-------
This module is designed to provide access to the data maintained by 
Webtrees so that the information can be presented in Drupal. This
could be used to provide details about an indivual on their user
page or to provide a page with of individuals with links to the
Webtree pages. 

This module is not designed to update the Webtrees database or
to replace it in any fashion. 


Required background
-------------------
This module provides access to the Webtrees database but there is no
explanation about the tables or how GEDCOM records are formatted. 
The database provides some information extracted from GEDCOM records
but not all of the informaiton. It is possible to parse this data
but having a background with GEDCOM is recommented. 

Access to the following tables is provided:
* GEDCOM database list
* Individuals
* Families
* Webtrees users
* Links - cross links
* Media
* Dates


Installation
------------
Start with an installed version of Webtrees (http://www.webtrees.net) and
an installed version of Drupal. The suggested configuration is Drupal in the
root URL and Webtrees in a directory like /webtrees.

If the Webtrees database is not in the Drupal database the export it and
import it to the Drupal database. You will need to adjust the database
settings accordingly. 

Notes
-----
Install the Drupal module Twig Tweak if you plan on doing any
modification or analysis of GEDCOM text records. 

It is possible to generate URLs for hyperlinks of the form:

/webtrees/index.php?route=/webtrees/tree/TTT/individual/III
/webtrees/index.php?route=/webtrees/tree/TTT/individual/FFF

where:
* TTT is the GEDCOM database name (not the number).
* III is the GEDCOM individual ID.
* FFF is the GEDCOM family ID.

Webtrees uses links between tables that are based upon additional
type fields. For example, the Links table has a To and From field
that can be associated with Individuals, Families, Media and more. 
Drupal Views relationships are provide but it is up to you to utilize
the data returned from the queries. Filtering on the type fields
can help eliminate any unwanted data. 


How it works
------------
Most of the work is done with hook_views_data in the .module file. 

There is minor support for extracting names for Individual records
via a Views plugin. 


To Do
-----
1. Improve naming conventions i
2. Add online documenation.
3. Default views
4. Example views

